#!/usr/bin/ksh
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

# --------------------------------------------------------------------------
# NOTE: This script is currently being used as part from reset director agent 
# keys only
#
# --------------------------------------------------------------------------

need_to_start_pa="$(echo $1 | awk '{ {split($1, split_result, "=")} {print split_result[2]} }')"
need_to_start_ca="$(echo $2 | awk '{ {split($1, split_result, "=")} {print split_result[2]} }')"

# -----------------------------------------------
# Start PA services - modified per RTC 1116 to 
# ALWAYS start
# -----------------------------------------------
/usr/bin/startsrc -s platform_agent  > /dev/null 2>&1

# -----------------------------------------------
# Start CA service - modified per RTC 1116 to 
# ALWAYS start
# -----------------------------------------------
if [ -x /opt/ibm/director/agent/runtime/agent/bin/endpoint.sh ]; then
	/opt/ibm/director/agent/runtime/agent/bin/endpoint.sh start > /dev/null 2>&1
fi
echo "result=success"
exit 0
