#!/usr/bin/ksh
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

# -----------------------------------------------------------------------
# Modifying the agent status to be unmanaged. The agent will de-register
# itself from the agent manager (in case it was registered to it)
#
# @return
#	result=fail 
#				In case a failure occurred while running the command
#	
#	result=success
#				In case command succeed.
#
# ------------------------------------------------------------------------

/opt/ibm/director/agent/runtime/agent/toolkit/bin/configure.sh -unmanaged -force 2>&1 > /dev/null

RC=$?
if [ "$RC" != "0" ]; then
        echo "result=fail"
        exit 0;
fi

echo "result=success"
