@echo off
REM Licensed Materials - Property of IBM
REM
REM (C) Copyright IBM Corp. 2013 All Rights Reserved
REM
REM US Government Users Restricted Rights - Use, duplicate or
REM disclosure restricted by GSA ADP Schedule Contract with
REM IBM Corp.

rem input:
rem ipaddress=<ip of agent manager>
rem
rem output:
rem result={success, fail}
rem -------------------------

rem ---------------------------------------------------------
rem Seems that '=' performs already as a delimeter between 
rem arguments passed
rem ---------------------------------------------------------

set ipaddress=%2
set checkConnExec="C:\Program Files\IBM\Director\agent\runtime\agent\toolkit\bin\checkconn.bat"

if not exist %checkConnExec% set checkConnExec="C:\Program Files (x86)\IBM\Director\agent\runtime\agent\toolkit\bin\checkconn.bat"

if not exist %checkConnExec% goto ERROR

call %checkConnExec% -host "%ipaddress%" >nul 2>nul

if %errorlevel% equ 0 echo result=success
if %errorlevel% neq 0 echo result=fail
	)

exit /b 0

:ERROR

echo result=fail
