@echo off
REM Licensed Materials - Property of IBM
REM
REM (C) Copyright IBM Corp. 2013 All Rights Reserved
REM
REM US Government Users Restricted Rights - Use, duplicate or
REM disclosure restricted by GSA ADP Schedule Contract with
REM IBM Corp.

@rem -----------------------OBTAIN SCRIPT DIRECTORY--------------------------------
set DIR=%~dp0
cd %DIR%
IF "%1"==""  (
	goto GUI
) ELSE (
	goto CLI
)

@rem --------------------------------GUI MODE--------------------------------------
:GUI
"%DIR%\smdf.exe" "%DIR%\" %*
goto UPDATERC

@rem --------------------------------CLI MODE--------------------------------------
:CLI
for /r "%DIR%\plugins" %%i in (org.eclipse.equinox.launcher_*.jar)do set filename=%%~nxi



for /f "tokens=*" %%i in (
 'findstr "jre\bin" "%DIR%\smdf.ini"'
) do (
 set jre=%%i
)


"%jre%\java" -jar "%DIR%\"plugins\%filename% -application com.ibm.ddf.console.application -consoleLog -noExit -noSplash "%DIR%\" %*
goto UPDATERC

@rem --------------------------------UPDATE RC-------------------------------------
:UPDATERC
set RC=%ERRORLEVEL%
@rem Exit with /B, this option will exit the script only
exit /B %RC%
