#!/bin/bash
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

# output:
# result={success, fail}
#-------------------------

COUNTER=0
ITERATIONS=10
ITERATIVE_SLEEP=5
PATTERN="Agent-side lite query end"
LOG_FILE="/opt/ibm/director/agent/logs/error-log-0.html"

# Initial wait for the agent to start (create log file etc..)
sleep 10

          # Sample the log file for CoreAgent.query() which indicates a good start
          while [ $COUNTER -lt $ITERATIONS ]; do
              line="$(cat $LOG_FILE | grep "$PATTERN")"
              if [ "$line" = "" ]; then
                  sleep $ITERATIVE_SLEEP
              else
                echo "result=success"
                exit 0;
              fi
              let COUNTER=COUNTER+1
          done

echo "result=fail"
