@echo Off
REM Licensed Materials - Property of IBM
REM
REM (C) Copyright IBM Corp. 2013 All Rights Reserved
REM
REM US Government Users Restricted Rights - Use, duplicate or
REM disclosure restricted by GSA ADP Schedule Contract with
REM IBM Corp.

rem -----------------------------------------------------------------------
rem Ping the given IP address using the ping utility
rem
rem @param
rem ipaddress=<IP address>
rem
rem @return
rem	result=fail
rem			In case received attribute of ping indicates that no packets received
rem			Or destination unreachable	
rem
rem	result=success
rem			In case received attribute of ping indicates that more then one 
rem			packets received
rem
rem ------------------------------------------------------------------------


set ipaddress=%2

set pingcmd=ping.exe -n 1 -w 10000 %ipaddress% ^| findstr /I "unreachable (100"


for /f "tokens=*" %%a in ('"call %pingcmd%"') do (
    goto FAIL
)

:SUCCSESS

	echo result=success
	GOTO FINAL


:FAIL

	echo result=fail
	

:FINAL

	exit /b 0
